## simple-netaid-gtk 1.0.8

=== Makefile ===

UI_DIR   := ui

DESTDIR ?=
PREFIX ?= /usr/local
BINDIR ?= $(DESTDIR)$(PREFIX)/bin

GTK_VERSION    ?= 3

PROG := $(patsubst %, %$(shell echo $(GTK_VERSION)), simple-netaid-gtk)

MAKEFLAGS += --no-builtin-rules

# Ajuste de la ruta del binario generado
PROG_PATH := $(UI_DIR)/$(PROG)

# Aseguramos que 'all' invoque al sub-makefile
all:
	@$(MAKE) -r -C $(UI_DIR) $(PROG)

# Regla de instalación corregida
install:
	# Crear directorios necesarios
	mkdir -p $(BINDIR)
	mkdir -p $(DESTDIR)/etc/simple-netaid
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	mkdir -p $(DESTDIR)$(PREFIX)/share/simple-netaid
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications

	# Instalar binario (buscándolo en la subcarpeta UI)
	cp -v $(PROG_PATH) $(BINDIR)/$(PROG)

	# Instalar configuración
	cp -v config/gtk.ini $(DESTDIR)/etc/simple-netaid/gtk.ini

	# Instalar Desktop file
	cp -v simple-netaid-gtk.desktop $(DESTDIR)$(PREFIX)/share/applications/

	# Instalar Iconos (Usando un bucle o lista para evitar repetición)
	cp -v images/SimpleNetaid.png $(DESTDIR)$(PREFIX)/share/pixmaps/
	cp -v images/*.png $(DESTDIR)$(PREFIX)/share/simple-netaid/

uninstall:
	rm -f $(BINDIR)/$(PROG)
	rm -rf $(DESTDIR)/etc/simple-netaid
	rm -rf $(DESTDIR)$(PREFIX)/share/simple-netaid
	rm -f $(DESTDIR)$(PREFIX)/share/pixmaps/SimpleNetaid.png
	rm -f $(DESTDIR)$(PREFIX)/share/applications/simple-netaid-gtk.desktop

clean:
	$(MAKE) -r -C $(UI_DIR) clean

cleanall:
	$(MAKE) -r -C $(UI_DIR) cleanall
	rm -vf $(wildcard *~)

.PHONY: all install clean cleanall uninstall
