=== debian/changelog ===
simple-netaid-gtk (1.0.8-1+6genuen1) unstable; urgency=medium

  * Rewrite from scratch in gtk and C
  * New upstream version 1.0.8

 -- Aitor <aitor@genuen.org>  Mon, 16 Feb 2026 20:30:48 +0100

simple-netaid-gtk (1.0.7-1+5gnuinos1) unstable; urgency=medium

  * Verify whether netaid group is not assigned to the current user 
    account. If not, show a warning dialog.
  * New upstream version 1.0.7

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 05 May 2024 19:39:42 +0200

simple-netaid-gtk (1.0.6-1+5gnuinos2) unstable; urgency=medium

  * Add isc-dhcp-client and udhcpc -the busybox version of dhcpcd5- as 
    alternative runtime dependencies to dhcpcd5

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 05 May 2024 13:23:49 +0200

simple-netaid-gtk (1.0.6-1+5gnuinos1) unstable; urgency=medium

  * Improve the password dialog 
  * Mask SIGUSR2 before ubus calls; otherwise, the gui freezes
  * Receive active wifis in json format
  * Depend on libjsoncpp-dev
  * New upstream version 1.0.6

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 04 May 2024 09:21:14 +0200

simple-netaid-gtk (1.0.5-1+5gnuinos1) unstable; urgency=medium

  * Initilize Glib before using Glib::RefPtr<Gio::File> in main.cpp 
  * New upstream version 1.0.5

 -- Aitor <aitor_czr@gnuinos.org>  Mon, 29 Apr 2024 21:32:39 +0200

simple-netaid-gtk (1.0.4-1+5gnuinos1) unstable; urgency=medium

  * Fix Gtk warnings 
  * New upstream version 1.0.4

 -- Aitor <aitor_czr@gnuinos.org>  Mon, 29 Apr 2024 02:34:12 +0200

simple-netaid-gtk (1.0.3-1+5gnuinos1) unstable; urgency=medium

  * Use scrolled windows as containers for the vte terminal emulators. 
    This fixes a bug in the Gtk2 version where the size of the terminals
    increased unexpectedly. 
  * New upstream version 1.0.3

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 21 Apr 2024 23:14:45 +0200

simple-netaid-gtk (1.0.2-1+5gnuinos1) unstable; urgency=medium

  * Wape up wireless interface whenever a usb wifi adapter is attached. 
    Nofifications about attachment events will come from netlink monitor.
  * New upstream version 1.0.2

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 21 Apr 2024 13:05:58 +0200

simple-netaid-gtk (1.0.1-1+5gnuinos1) unstable; urgency=medium

  * Build with both Gtk2 and Gtk3
  * New upstream version 1.0.1

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 20 Apr 2024 16:40:51 +0200

simple-netaid-gtk (1.0.0-1+5gnuinos1) unstable; urgency=medium

  * Initial release

 -- Aitor <aitor_czr@gnuinos.org>  Tue, 16 Apr 2024 23:55:55 +0200
