=== debian/control ===
Source: simple-netaid-gtk
Section: net
Priority: optional
Maintainer: Aitor Cuadrado Zubizarreta <aitor@genuen.org>
Build-Depends: debhelper (>= 12),
  dpkg-dev (>= 1.16.1~),
  pkg-config (>= 0.29.2-1~),
  gettext,
  intltool,
  libnetaid-dev (>= 1.5.2-1~),
  libgtk-3-dev (>= 3.24.49~),
  libubus-dev (>= 19.07+3~),
  libjson-c-dev (>= 0.18+ds~),
  libvte-2.91-dev (>= 0.70.6-2~),
  libinih-dev (>= 55-1), 
Standards-Version: 4.5.1
Origin: Genuen
Homepage: https://genuen.org

Package: simple-netaid-gtk3
Section: net
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  dhcpcd5,
  ifupdown2,
  wpasupplicant,
  libiw30,
  snetaid (>= 1.5.5-1~),
  ubus (>= 19.07+2~)
Conflicts: simple-netaid-vte3,
  simple-netaid-cdk,
  nl-monitor
Recommends: 
Description: Gtk3 interface for simple-netaid
 This package contains a graphical interface for simple-netaid developed 
 with the Gtk3 toolkit.
