=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export GTK_VERSION=3

export DH_VERBOSE = 1
export PREFIX=/usr

APP := $(shell echo "simple-netaid-gtk$(GTK_VERSION)")

%:
	dh $@

override_dh_auto_install:
	install -m0755 -d debian/$(APP) 

override_dh_install:
	install -m0755 -d debian/$(APP)/etc/simple-netaid
	cp --reflink=auto -a config/gtk.ini debian/$(APP)/etc/simple-netaid/
	install -m0755 -d debian/$(APP)/usr/bin
	cp --reflink=auto -a ui/$(APP) debian/$(APP)/usr/bin/
	install -m0755 -d debian/$(APP)/usr/share/applications
	cp --reflink=auto -a simple-netaid-gtk.desktop debian/$(APP)/usr/share/applications/
	install -m0755 -d debian/$(APP)/usr/share/pixmaps
	cp --reflink=auto -a images/SimpleNetaid.png debian/$(APP)/usr/share/pixmaps/
	install -m0755 -d debian/$(APP)/usr/share/simple-netaid
	cp --reflink=auto -a ./images/SimpleNetaid.png ./images/connected.png ./images/disconnected.png \
		./images/view-refresh.png ./images/wired.png ./images/wireless.png \
		debian/$(APP)/usr/share/simple-netaid/
